package com.mortals.xhx.module.device.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 设备告警日志视图对象
 *
 * @author zxfei
 * @date 2022-07-01
 */
@Data
public class DeviceAlarmInfoVo extends BaseEntityLong {

    /**
     * 开始 告警时间
     */
    private String alarmTimeStart;

    /**
     * 结束 告警时间
     */
    private String alarmTimeEnd;

    /** 告警设备Id列表 */
    private List <Long> alarmDeviceList;


    private Integer deviceTotalCount;

    private Integer siteSize;

    private Map<String, Long> siteDeviceCollect;

    private Map<String, Long> siteDeviceAlarmCollect;

    private Map<String, String> deviceConnTypeCollect;

    private Map<String, String> deviceFirmCollect;

    private int todayAlarmInfoCount;

    private long todayAlarmDeviceCount;

    private Map<String, String> alarmTypeCollect;

    private Map<String, String> alarmLevelCollect;

    private List<HashMap<String, Object>> deviceAlarmMapInfoList;



}